Bug 1023188 - iso_distributor doesn't retain listing files
iso_distributor doesn't retain listing files
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
medium Severity medium
: ---
: 2.4.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On: 1023183
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 16:17 EDT by Mike McCune
Modified: 2014-08-09 02:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1023183
Environment:
Last Closed: 2014-08-09 02:54:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-10-24 16:17:55 EDT
+++ This bug was initially created as a clone of Bug #1023183 +++

If you export a repository to an ISO you do not get any listing files:

# mount -o loop /var/lib/pulp/published/http/exports/repo/rhel-6-server-sam-rpms-6_4-x86_64/rhel-6-server-sam-rpms-6_4-x86_64-2013-10-24T15.52-01.iso /mnt

# ls /mnt/content/dist/rhel/server/6/6.4/x86_64/subscription-asset-manager/1/
os
# find /mnt/content/ |grep listing
#

otherwise the ISO looks correct.  Has the right RPMs and repodata.
Comment 1 Barnaby Court 2013-11-25 14:30:17 EST
PR https://github.com/pulp/pulp_rpm/pull/398
Comment 2 Jeff Ortel 2013-11-26 18:29:26 EST
build: 2.3.1-0.3.beta and 2.3.0.0.37.beta
Comment 3 Preethi Thomas 2013-11-27 14:08:48 EST
Seems like listing is still missing in 2.3 and from looking at target release it supposed to be fixed for 2.4.

Moving it back to modified. 

[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.38.beta.el6.noarch
[root@pulp-v2-server ~]# 


[root@pulp-v2-server ~]# mount -o loop /var/lib/pulp/published/https/exports/repo/SAM/SAM-2013-11-27T13.55-01.iso  /mnt
[root@pulp-v2-server ~]# ls /mnt/content/dist/rhel/rhui/server/6/6Server/x86_64/subscription-asset-manager/1/os/


[root@pulp-v2-server ~]# find /mnt/content/ |grep listing
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]#
Comment 4 Jeff Ortel 2014-04-03 09:35:53 EDT
build: 2.4.0-0.7.beta
Comment 5 Preethi Thomas 2014-04-17 12:21:47 EDT
verified
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server ~]# pulp-admin rpm repo export run --repo-id zoo 
+----------------------------------------------------------------------+
                      Publishing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Exporting packages...
[==================================================] 100%
Rpms: 31/31 items
... completed

Exporting errata...
[==================================================] 100%
Errata: 4/4 items
... completed

Exporting distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata...
[\]
... completed

[==================================================] 100%
Iso Images: 1/1 items
... completed

Publishing over HTTPS...
[-]
... completed


Task Succeeded


[root@pulp-24-server ~]# mount -o loop /var/lib/pulp/published/https/exports/repo/
yum-puppet/ zoo/        
[root@pulp-24-server ~]# mount -o loop /var/lib/pulp/published/https/exports/repo/zoo/zoo-2014-04-17T13.36-01.iso /mnt
[root@pulp-24-server ~]# ls /mnt/
listing  repos/   
[root@pulp-24-server ~]# ls /mnt/repos/
listing  pulp/    
[root@pulp-24-server ~]# ls /mnt/repos/pulp/
listing  pulp/    
[root@pulp-24-server ~]# ls /mnt/repos/pulp/pulp/
demo_repos/ listing     
[root@pulp-24-server ~]# ls /mnt/repos/pulp/pulp/
demo_repos/ listing     
[root@pulp-24-server ~]# ls /mnt/repos/pulp/pulp/demo_repos/
listing  zoo/
Comment 6 Randy Barlow 2014-08-09 02:54:43 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.